'use strict';

const gulp = require('gulp');
const log = require('gulp-util').log;
const jshint = require('gulp-jshint');

var lintFiles = [
  'bin/ngg',
  'src/commands/*.js',
  'src/utils/*.js',
  'src/skeletons/core/*.js',
  'src/skeletons/app/*.js',
  'src/skeletons/generators/*.js',
  '!node_modules/**'
];

gulp.task('lint', function () {
  return gulp.src(lintFiles)
    .pipe(jshint('.jshintrc'))
    .pipe(jshint.reporter('default'));
});

gulp.task('watch', function () {
  log('Watching Files');
  gulp.watch(lintFiles, ['lint']);
});

gulp.task('default', ['lint', 'watch']);
